Bug 727155 - Review Request: rubygem-fast_gettext - A simple, fast, memory-efficient and threadsafe implementation of GetText
Summary: Review Request: rubygem-fast_gettext - A simple, fast, memory-efficient and t...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 705519 738590
TreeView+ depends on / blocked
 
Reported: 2011-08-01 12:58 UTC by Vít Ondruch
Modified: 2011-11-29 13:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-20 12:59:49 UTC
Type: ---
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2011-08-01 12:58:17 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-fast_gettext.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-fast_gettext-0.5.13-1.fcf17.src.rpm
Description: A simple, fast, memory-efficient and threadsafe implementation of GetText

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3243249

Please pay special attention to %{geminstdir}/lib/fast_gettext/vendor folder, since this folder contains some slightly modified files from original gettext rubygem. I am not 100% convinced that is it possible to bundle such files with such license.

Comment 1 Bohuslav "Slavek" Kabrda 2011-09-23 10:33:53 UTC
* Licensing: The mentioned files in lib/vendor directory are not Ruby or GPLv2+, but Ruby or LGPLv2+ -- see https://github.com/mutoh/gettext/blob/master/README.rdoc (the library, where the files are from).

* It would be good to query upstream not to bundle the gettext library, but use it as a separate dependency.

* I would consider moving readme.md into the main package, as it contains information about licensing, which I think should be present in the main package.

Otherwise, the package seems to be ok, but I would like to get the three points above clear.

Comment 2 Vít Ondruch 2011-10-19 13:40:58 UTC
(In reply to comment #1)
> * Licensing: The mentioned files in lib/vendor directory are not Ruby or
> GPLv2+, but Ruby or LGPLv2+ -- see
> https://github.com/mutoh/gettext/blob/master/README.rdoc (the library, where
> the files are from).

The file you are referring says: "This program is licenced under the same licence as Ruby", i.e. GPLv2 or Ruby => I am going to remove the "+", with the exception of 'setup.rb' file which is not present in the folder. So it is not LGPLv2+ IMO.

> * It would be good to query upstream not to bundle the gettext library, but use
> it as a separate dependency.

I have checked the files once more. Although the files are coming from gettext library, it seems that they are more or less modified. Moreover, the original gettext package seems to be death, so it makes no sense IMO.

> * I would consider moving readme.md into the main package, as it contains
> information about licensing, which I think should be present in the main
> package.

DONE.

> Otherwise, the package seems to be ok, but I would like to get the three points
> above clear.


Please note that I have also updated the package to the latest upstream version.

Spec URL: http://people.redhat.com/vondruch/rubygem-fast_gettext.spec
SRPM URL:
http://people.redhat.com/vondruch/rubygem-fast_gettext-0.6.1-1.fcf17.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3443784

Comment 3 Bohuslav "Slavek" Kabrda 2011-10-20 08:34:01 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > * Licensing: The mentioned files in lib/vendor directory are not Ruby or
> > GPLv2+, but Ruby or LGPLv2+ -- see
> > https://github.com/mutoh/gettext/blob/master/README.rdoc (the library, where
> > the files are from).
> 
> The file you are referring says: "This program is licenced under the same
> licence as Ruby", i.e. GPLv2 or Ruby => I am going to remove the "+", with the
> exception of 'setup.rb' file which is not present in the folder. So it is not
> LGPLv2+ IMO.
> 

I was refering to "... same licence as Ruby(See COPYING) or LGPL ...". So the whole license tag should be something like

License: Public Domain and ((GPLv2+ or Ruby) or LGPLv2+)

> > * It would be good to query upstream not to bundle the gettext library, but use
> > it as a separate dependency.
> 
> I have checked the files once more. Although the files are coming from gettext
> library, it seems that they are more or less modified. Moreover, the original
> gettext package seems to be death, so it makes no sense IMO.
> 

I agree that the modifications made to files from gettext are non-trivial and that gettext is more or less dead. So it is not a problem for this package.

> > * I would consider moving readme.md into the main package, as it contains
> > information about licensing, which I think should be present in the main
> > package.
> 
> DONE.
> 
> > Otherwise, the package seems to be ok, but I would like to get the three points
> > above clear.
> 
> 
> Please note that I have also updated the package to the latest upstream
> version.
> 
> Spec URL: http://people.redhat.com/vondruch/rubygem-fast_gettext.spec
> SRPM URL:
> http://people.redhat.com/vondruch/rubygem-fast_gettext-0.6.1-1.fcf17.src.rpm
> 
> Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3443784

Before this package is approved, I would certainly like to make the License clear, otherwise everything is ok.

Comment 4 Vít Ondruch 2011-10-20 09:37:45 UTC
(In reply to comment #3)
> I was refering to "... same licence as Ruby(See COPYING) or LGPL ...". So the
> whole license tag should be something like

Please could you be more specific? The only reference to LGPL is in file "usr/lib/ruby/gems/1.8/gems/fast_gettext-0.6.1/lib/fast_gettext/vendor/README.rdoc" on line 155. This refers to file which is not included in the gem an will never be. Am I missing something?

Comment 5 Bohuslav "Slavek" Kabrda 2011-10-20 10:31:11 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > I was refering to "... same licence as Ruby(See COPYING) or LGPL ...". So the
> > whole license tag should be something like
> 
> Please could you be more specific? The only reference to LGPL is in file
> "usr/lib/ruby/gems/1.8/gems/fast_gettext-0.6.1/lib/fast_gettext/vendor/README.rdoc"
> on line 155. This refers to file which is not included in the gem an will never
> be. Am I missing something?

Sorry, my mistake. I was looking at a newer license of the forked gettext library. The version that was forked was licensed under Ruby at the time, so your License field is OK.



This package is APPROVED.

Comment 6 Vít Ondruch 2011-10-20 10:42:27 UTC
Thank you for your review!




New Package SCM Request
=======================
Package Name: rubygem-fast_gettext
Short Description: A simple, fast, memory-efficient and threadsafe implementation of GetText
Owners: vondruch
Branches: 
InitialCC:

Comment 7 Gwyn Ciesla 2011-10-20 12:10:15 UTC
Git done (by process-git-requests).

Comment 8 Vít Ondruch 2011-11-29 13:22:39 UTC
Package Change Request
======================
Package Name: rubygem-fast_gettext
New Branches: f16
Owners: vondruch
InitialCC:

Comment 9 Gwyn Ciesla 2011-11-29 13:35:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.